Bug 4183 - How about upgrading bc to 1.04?
Summary: How about upgrading bc to 1.04?
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 2.2.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: andreas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1997-07-28 05:50 UTC by leres
Modified: 1998-04-29 23:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 1997-07-28 05:50:00 UTC
	2.2.2-RELEASE ships with bc 1.03 but 1.04 has been out since
	April. (In particular, 1.04 defaults to DOT_IS_LAST, making
	dot be the value of the last expression.)

Fix: 

ftp://prep.ai.mit.edu/pub/gnu/bc-1.04.tar.gz
How-To-Repeat: 
	% bc -l
	bc 1.03 (Nov 2, 1994)
	Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
	This is free software with ABSOLUTELY NO WARRANTY.
	For details type `warranty'. 
	.
	(standard_in) 1: illegal character: .
Comment 1 Poul-Henning Kamp freebsd_committer 1998-04-19 19:04:46 UTC
State Changed
From-To: open->suspended

Great idea, now who does it ? 
Comment 2 andreas freebsd_committer 1998-04-29 18:17:00 UTC
Responsible Changed
From-To: freebsd-bugs->andreas

Will give it a try ;-) 
I suggest importing bc-1.04 to the contrib tree and 
creating Berkeley Makefiles in gnu/usr.bin/bc 
give me some time.... ;-) 
Comment 3 andreas freebsd_committer 1998-04-29 23:22:59 UTC
State Changed
From-To: suspended->closed

imported new bc-1.0.4, also upgraded dc.